--- cover.original.erl	2015-04-08 16:44:25.000000000 +0300
+++ ../lib/tools/src/cover.erl	2015-04-08 16:42:33.000000000 +0300
@@ -1359,7 +1359,10 @@ do_compile_beam(Module,Beam,UserOptions)
 	    {error,E};
 	{raw_abstract_v1,Code} ->
             Forms0 = epp:interpret_file_attribute(Code),
+	    io:format("see ~p.*.ast", [Module]),
+	    file:write_file(atom_to_list(Module) ++ ".before.ast", io_lib:format("~p", [Forms0])),
 	    {Forms,Vars} = transform(Forms0, Module),
+	    file:write_file(atom_to_list(Module) ++ ".after.ast", io_lib:format("~p", [Forms])),
 
 	    %% We need to recover the source from the compilation
 	    %% info otherwise the newly compiled module will have
